apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: vault
  namespace: vault
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: nginx
  rules:
    - host: vault.prod.brusnika.sarex.lonsdaleites.ru
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: vault-vault-contour
                port:
                  number: 8200
  tls:
    - hosts:
        - vault.prod.brusnika.sarex.lonsdaleites.ru
      secretName: vault-prod-tls
